%define upstream_name    Crypt-X509
%define upstream_version 0.53

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parse a X.509 certificate
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
*Crypt::X509* parses X.509 certificates. Methods are provided for accessing
most certificate elements.

It is based on the generic ASN.1 module by Graham Barr, on the _x509decode_
example by Norbert Klasen and contributions on the
perl-ldap-dev-Mailinglist by Chriss Ridd.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed May 06 2020 tv <tv> 0.530.0-1.mga8
+ Revision: 1580822
- update to 0.53

* Tue Feb 18 2020 umeabot <umeabot> 0.520.0-2.mga8
+ Revision: 1537804
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Nov 11 2019 tv <tv> 0.520.0-1.mga8
+ Revision: 1459227
- update to 0.52

* Wed Sep 19 2018 umeabot <umeabot> 0.510.0-4.mga7
+ Revision: 1266815
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.510.0-3.mga6
+ Revision: 1024701
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.510.0-2.mga6
+ Revision: 971735
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 shlomif <shlomif> 0.510.0-1.mga6
+ Revision: 892509
- imported package perl-Crypt-X509

